    $('#sheets_add_save').click(function () {

        let sendData = {
            title                       : $.trim($('#title').val()),
            cat_id                      : -1,
            icon                        : "",
            image                       : "",
            summary                     : "",
            type                        : "normal",
            cat2_title                  : "",
            cat3_title                  : "",
            background                  : "",
            background_color            : "",
            data                        : "",
            data_preview                : "",
            subscribe_ids               : "",
            sku                         : "",
            password_protected          : "",
            intent_type                 : "",
            intent_data                 : "",
            pp_variables_list           : "",
            pp_variables_map            : "",
            pp_gallery                  : "",
            pp_spec_table               : "",
            pp_crosssell_ids            : "",
            pp_guarantee                : "",
            pp_virtual_intent_type      : "",
            pp_virtual_intent_data      : "",
            pp_price_index              : "",
            pp_amazing_discount_deadline: "",
            pp_virtual_intent_btn_text  : "",
            pp_virtual_intent_btn_icon  : "",
            date_updated                : "",
            single_buy                  : 0
        }

        $.ajax({
            type: "POST",
            url: mpPanelBaseUrl + "/add_sheets",
            data: sendData,
            timeout: 25000,
            cache: false,
            success: function (data) {
                if (data == "ok" || isInt(data)) {
                    notyf.success("با موفقیت انجام شد");
                    $('#global_item_adder_end').trigger('click');
                } else {
                    notyf.error(data);
                }
            },
            error: function (xhr, status, error) {
                loadingOverlay.hide();
                notyf.error('Error: ' + xhr.status + ' ' + xhr.statusText);
            }
        });

    });


    $('.sheet-duplicate-item').click(function () {

        let idVal = $(this).attr('data-sheet-id');
        let sendData = {
            origin_id   : idVal,
            sku         : "",
            date_updated: ""
        }

        RequestSuperHandler(
            $(this), //Current Obj
            'از کپی کردن این برگه مطمئن هستید؟', //Alert Title
            "", //Alert Desc
            1, // alertType -> 1:confirm - 2:delete
            '/duplicate_sheets', //Request URL
            "/sheets", //Return URL
            sendData
        );

    });

    $('.sheet-delete-item').click(function () {

        let idVal = $(this).attr('data-sheet-id');
        let sendData = {
            id: idVal
        }

        RequestSuperHandler(
            $(this), //Current Obj
            'آیا از حذف کامل این پست مطمئن هستید؟', //Alert Title
            "با حذف پست تمام محتوی آن به طور کامل حذف خواهد شد", //Alert Desc
            2, // alertType -> 1:confirm - 2:delete
            '/delete_sheets', //Request URL
            "/sheets", //Return URL
            sendData
        );

    });

    $('#delete_sheet_btn').click(function () {

        let sendData = {
            id: $.trim($('#id').val())
        }

        RequestSuperHandler(
            $(this), //Current Obj
            'آیا از حذف کامل این پست مطمئن هستید؟', //Alert Title
            "با حذف پست تمام محتوی آن به طور کامل حذف خواهد شد", //Alert Desc
            2, // alertType -> 1:confirm - 2:delete
            '/delete_sheets', //Request URL
            "/sheets", //Return URL
            sendData
        );

    });


    $('#sheet_edit_save').click(function () {

        let type = $.trim($('#type').val());
        let intent_opener_only = $.trim($('#intent_opener_only').val());
        if(intent_opener_only == "1" && type != "intent"){
            notyf.error('در صورتی که می‌خواهید اینتنت مستقیم را فعال کنید، باید نوع برگه را اینتنت انتخاب نمایید.');
            return;
        }

        let _published = ($('.js-publish-switch').is(":checked")) ? 1 : 0;

        let sendData = {
            id                          : $.trim($('#id').val()),
            title                       : $.trim($('#title').val()),
            image                       : $.trim($('#image').val()),
            published                   : _published,
            summary                     : $.trim($('#summary').val()),
            seo_title                   : $.trim($('#seo_title').val()),
            seo_description             : $.trim($('#seo_description').val()),
            primary_link                : $.trim($('#primary_link').val()),
            depend_on_quiz              : $.trim($('#depend_on_quiz').val()),
            comments                    : $.trim($('#comments').val()),
            background                  : $.trim($('#background').val()),
            background_color            : $.trim($('#background_color').val()),
            hide_like_view_dates        : $.trim($('#hide_like_view_dates').val()),
            openwith_rewarded_ad        : $.trim($('#openwith_rewarded_ad').val()),
            open_with_interstitial_ad   : $.trim($('#open_with_interstitial_ad').val()),
            only_for_logedin_users      : $.trim($('#only_for_logedin_users').val()),
            hide_option_menu            : $.trim($('#hide_option_menu').val()),
            show_find_in_page_by_default: $.trim($('#show_find_in_page_by_default').val()),
            type                        : type,
            is_under_construction       : $.trim($('#is_under_construction').val()),
            password_protected          : $.trim($('#password_protected').val()),
            intent_opener_only          : intent_opener_only,
            intent_type                 : $.trim($('#intent_type').val()),
            intent_data                 : $.trim($('#intent_data').val()),
            date                        : $.trim($('#date').val())
        }

        RequestSuperHandler(
            $(this), //Current Obj
            'از ویرایش کانفیگ این پست مطمئن هستید؟', //Alert Title
            "", //Alert Desc
            1, // alertType -> 1:confirm - 2:delete
            '/update_sheets', //Request URL
            "/sheets/" + sendData.id, //Return URL
            sendData
        );

    });